Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::RefCount Class Reference

Tracks the reference count for a single index file. More...

`#include <IndexFileDeleter.h>`

Inheritance diagram for Lucene::RefCount:

## Public Member Functions

| RefCount (const String &fileName)
virtual | ~RefCount ()
virtual String | getClassName ()
boost::shared_ptr< RefCount > | shared_from_this ()
int32_t | IncRef ()
int32_t | DecRef ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

String | fileName
bool | initDone
int32_t | count

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Tracks the reference count for a single index file.

## Constructor & Destructor Documentation

## ◆ RefCount()

Lucene::RefCount::RefCount | ( | const String & | fileName | ) |

## ◆ ~RefCount()

virtual Lucene::RefCount::~RefCount | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::RefCount::_getClassName | ( |  | ) |

inline static

## ◆ DecRef()

int32_t Lucene::RefCount::DecRef | ( |  | ) |

## ◆ getClassName()

virtual String Lucene::RefCount::getClassName | ( |  | ) |

inline virtual

## ◆ IncRef()

int32_t Lucene::RefCount::IncRef | ( |  | ) |

## ◆ shared_from_this()

boost::shared_ptr< RefCount > Lucene::RefCount::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ count

int32_t Lucene::RefCount::count

## ◆ fileName

String Lucene::RefCount::fileName

## ◆ initDone

bool Lucene::RefCount::initDone

The documentation for this class was generated from the following file:

- IndexFileDeleter.h

clucene.sourceforge.net